Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 907713 - sci-physics/lammps-20230328 - -- Configuring incomplete, errors occurred!
Summary: sci-physics/lammps-20230328 - -- Configuring incomplete, errors occurred!
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nicolas Bock
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-06-02 15:32 UTC by Toralf Förster
Modified: 2024-01-11 10:34 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,19.00 KB, text/plain)
2023-06-02 15:32 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,188.02 KB, text/plain)
2023-06-02 15:32 UTC, Toralf Förster
Details
environment (environment,175.92 KB, text/plain)
2023-06-02 15:32 UTC, Toralf Förster
Details
etc.clang.tar.bz2 (etc.clang.tar.bz2,736 bytes, application/x-bzip)
2023-06-02 15:32 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,22.96 KB, application/x-bzip)
2023-06-02 15:32 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,449.72 KB, application/x-bzip)
2023-06-02 15:32 UTC, Toralf Förster
Details
sci-physics:lammps-20230328:20230602-144410.log (sci-physics:lammps-20230328:20230602-144410.log,5.98 KB, text/plain)
2023-06-02 15:32 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2023-06-02 15:32:22 UTC
  Either pass the HIP_PATH as a CMake option via -DHIP_PATH=...  or set the
  HIP_PATH environment variable.
Call Stack (most recent call first):
  CMakeLists.txt:675 (include)


-- Configuring incomplete, errors occurred!
 * ERROR: sci-physics/lammps-20230328::gentoo failed (configure phase):
 *   cmake failed

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-j5-20230529-171537

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10
 [2] x86_64-pc-linux-gnu-13 *
clang/llvm (if any):
clang version 16.0.4
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/16/bin
Configuration file: /etc/clang/clang.cfg
/usr/lib/llvm/16
16.0.4
Python 3.11.3
Available Ruby profiles:
  [1]   ruby30 (with Rubygems)
  [2]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.69.0 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.18_p10 [openjdk-bin-11]
2)	Eclipse Temurin JDK 17.0.6_p10 [openjdk-bin-17]
*)	Eclipse Temurin JDK 8.362_p09 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17 

php cli (if any):
go version go1.20.4 linux/amd64

  HEAD of ::gentoo
commit c713a4fd55ad3463344b6fe2a734324fe2a43b53
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Jun 2 14:02:05 2023 +0000

    2023-06-02 14:02:05 UTC

emerge -qpvO sci-physics/lammps
[ebuild  N    ] sci-physics/lammps-20230328  USE="examples hip lammps-memalign python (-cuda) -gzip -mpi -opencl -test" PYTHON_TARGETS="python3_11 -python3_10"
Comment 1 Toralf Förster gentoo-dev 2023-06-02 15:32:23 UTC
Created attachment 863060 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2023-06-02 15:32:25 UTC
Created attachment 863061 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2023-06-02 15:32:26 UTC
Created attachment 863062 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2023-06-02 15:32:27 UTC
Created attachment 863063 [details]
etc.clang.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2023-06-02 15:32:28 UTC
Created attachment 863064 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2023-06-02 15:32:29 UTC
Created attachment 863065 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2023-06-02 15:32:30 UTC
Created attachment 863066 [details]
sci-physics:lammps-20230328:20230602-144410.log
Comment 8 Andrew Nowa Ammerlaan gentoo-dev 2024-01-11 08:47:48 UTC
CC'ing HIP maintainers since this is a USE=hip related error.

Do you know what this HIP_PATH should be set to?
Comment 9 Yiyang Wu 2024-01-11 08:53:34 UTC
(In reply to Andrew Ammerlaan from comment #8)
> CC'ing HIP maintainers since this is a USE=hip related error.
> 
> Do you know what this HIP_PATH should be set to?

In common sense HIP_PATH should be set "${EPREFIX}/usr", please try this first.
Comment 10 Larry the Git Cow gentoo-dev 2024-01-11 09:12:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d14803303b4e91fe67b2ab7e813c6e83c2f13eb8

commit d14803303b4e91fe67b2ab7e813c6e83c2f13eb8
Author:     Denis Strizhkin <strdenis02@gmail.com>
AuthorDate: 2024-01-03 19:27:03 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2024-01-11 09:12:10 +0000

    sci-physics/lammps: add openmp and extra iuse flags, fix hip configure
    
    Bug: https://bugs.gentoo.org/907713
    Signed-off-by: Denis Strizhkin <strdenis02@gmail.com>
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 sci-physics/lammps/lammps-20230802-r1.ebuild | 175 +++++++++++++++++++++++++++
 sci-physics/lammps/metadata.xml              |   4 +
 2 files changed, 179 insertions(+)
Comment 11 Andrew Nowa Ammerlaan gentoo-dev 2024-01-11 09:14:04 UTC
(In reply to Yiyang Wu from comment #9)
> (In reply to Andrew Ammerlaan from comment #8)
> > CC'ing HIP maintainers since this is a USE=hip related error.
> > 
> > Do you know what this HIP_PATH should be set to?
> 
> In common sense HIP_PATH should be set "${EPREFIX}/usr", please try this
> first.

Thanks, this helped. 

Configure now passes, but it now fails later in the compile with 
x86_64-pc-linux-gnu-g++: error: language hip not recognized
x86_64-pc-linux-gnu-g++: error: language hip not recognized

Idk, maybe I just don't have this set up correctly, my system does not have an amdgpu.
Comment 12 Yiyang Wu 2024-01-11 10:34:04 UTC
> 
> Configure now passes, but it now fails later in the compile with 
> x86_64-pc-linux-gnu-g++: error: language hip not recognized
> x86_64-pc-linux-gnu-g++: error: language hip not recognized
> 
> Idk, maybe I just don't have this set up correctly, my system does not have
> an amdgpu.

That's a bit strange -- it seems to use GCC to compile hip source file. GCC's support for amdgpu is not matured, and I don't know if it supports hip. Usually the compiler for hip source should be set to hipcc (wrapper of clang)